<html>
<head>
<title>OGRE: Ogre::TextureUnitState::UVWAddressingMode Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a>::<a class="el" href="structOgre_1_1TextureUnitState_1_1UVWAddressingMode.html">UVWAddressingMode</a></div>
<h1>Ogre::TextureUnitState::UVWAddressingMode Struct Reference</h1><!-- doxytag: class="Ogre::TextureUnitState::UVWAddressingMode" --><a class="el" href="classOgre_1_1Texture.html" title="Abstract class representing a Texture resource.">Texture</a> addressing mode for each texture coordinate.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreTextureUnitState_8h-source.html">OgreTextureUnitState.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1TextureUnitState_1_1UVWAddressingMode-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1TextureUnitState.html#47c5a9f4fc08159b99bdc51103bcf852">TextureAddressingMode</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TextureUnitState_1_1UVWAddressingMode.html#4b32e713a976b9e0fce84cf6b8f4ab1b">u</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1TextureUnitState.html#47c5a9f4fc08159b99bdc51103bcf852">TextureAddressingMode</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TextureUnitState_1_1UVWAddressingMode.html#406342f0825bcf798e93c09398d5b0ad">v</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1TextureUnitState.html#47c5a9f4fc08159b99bdc51103bcf852">TextureAddressingMode</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TextureUnitState_1_1UVWAddressingMode.html#17f72c5a85d6b0bf30feb2c0b5b24fd2">w</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
<a class="el" href="classOgre_1_1Texture.html" title="Abstract class representing a Texture resource.">Texture</a> addressing mode for each texture coordinate. 
<p>

<p>Definition at line <a class="el" href="OgreTextureUnitState_8h-source.html#l00133">133</a> of file <a class="el" href="OgreTextureUnitState_8h-source.html">OgreTextureUnitState.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="4b32e713a976b9e0fce84cf6b8f4ab1b"></a><!-- doxytag: member="Ogre::TextureUnitState::UVWAddressingMode::u" ref="4b32e713a976b9e0fce84cf6b8f4ab1b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1TextureUnitState.html#47c5a9f4fc08159b99bdc51103bcf852">TextureAddressingMode</a> <a class="el" href="structOgre_1_1TextureUnitState_1_1UVWAddressingMode.html#4b32e713a976b9e0fce84cf6b8f4ab1b">Ogre::TextureUnitState::UVWAddressingMode::u</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreTextureUnitState_8h-source.html#l00135">135</a> of file <a class="el" href="OgreTextureUnitState_8h-source.html">OgreTextureUnitState.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="406342f0825bcf798e93c09398d5b0ad"></a><!-- doxytag: member="Ogre::TextureUnitState::UVWAddressingMode::v" ref="406342f0825bcf798e93c09398d5b0ad" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1TextureUnitState.html#47c5a9f4fc08159b99bdc51103bcf852">TextureAddressingMode</a> <a class="el" href="structOgre_1_1TextureUnitState_1_1UVWAddressingMode.html#406342f0825bcf798e93c09398d5b0ad">Ogre::TextureUnitState::UVWAddressingMode::v</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreTextureUnitState_8h-source.html#l00135">135</a> of file <a class="el" href="OgreTextureUnitState_8h-source.html">OgreTextureUnitState.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="17f72c5a85d6b0bf30feb2c0b5b24fd2"></a><!-- doxytag: member="Ogre::TextureUnitState::UVWAddressingMode::w" ref="17f72c5a85d6b0bf30feb2c0b5b24fd2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1TextureUnitState.html#47c5a9f4fc08159b99bdc51103bcf852">TextureAddressingMode</a> <a class="el" href="structOgre_1_1TextureUnitState_1_1UVWAddressingMode.html#17f72c5a85d6b0bf30feb2c0b5b24fd2">Ogre::TextureUnitState::UVWAddressingMode::w</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreTextureUnitState_8h-source.html#l00135">135</a> of file <a class="el" href="OgreTextureUnitState_8h-source.html">OgreTextureUnitState.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreTextureUnitState_8h-source.html">OgreTextureUnitState.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:56 2008
</p>
</body>
</html>
